package uk.co.hcsoftware.commander;


/**
 * Title: CancelledCallback
 * Copyright:    Copyright (c) 22-Nov-2005
 *
 * @author spurlinn
 */
public final class CancelledCallback{
    private boolean cancelled;
    public synchronized boolean wasCancelled() {
        return cancelled;
    }
    private void setCancelled(boolean cancelled) {
        this.cancelled = cancelled;
    }
    public synchronized void reset() {
        setCancelled(false);
    }
    public synchronized void cancel() {
        setCancelled(true);
    }
}
