package uk.co.hcsoftware.commander;




/**
 * Title: CannotConvertUrlToFileException
 * Copyright:    Copyright (c) 24-Nov-2005
 *
 * @author spurlinn
 */
public class CannotConvertUrlToFileException extends Exception {
      private Url url;

    public CannotConvertUrlToFileException(Url url) {
        this.url = url;
    }

    public CannotConvertUrlToFileException(Throwable cause, Url url) {
        super(cause);
        this.url = url;
    }

    public Url getUrl() {
        return url;
    }
}
