package uk.co.hcsoftware.commander;

import ns.MacApp;
import uk.co.hcsoftware.commander.gui.CommanderFrame;

import java.awt.*;
import java.util.logging.Logger;

/**

 */ 
public class Main {
    public static final Logger log=Logger.getLogger(Main.class.getName());
    public static final int ctrl_mask;

    static {
        if (MacApp.isMac()) {
            log.fine("mac!");
            ctrl_mask=Event.META_MASK;
        }
        else ctrl_mask=Event.CTRL_MASK;
    }
    public static String getCtrlName(){ return MacApp.isMac()?"\u2318":"CTRL";}
    public static void main(String[] args) {
        log.fine("main ctrl_mask="+ctrl_mask);
        CommanderFrame cf = new CommanderFrame();

        cf.setVisible(true);
        cf.setDividerLocation(0.5f);
        Url u1=null,u2=null;
        if(args.length>0) u1=getUrl(args[0]);
        if(args.length>1) u2=getUrl(args[1]);
        cf.loadDefaultFiles(u1,u2);
        cf.setDefaultFocus();
    }

    private static Url getUrl(String args) {
//        try {
            return Url.getUrl(args);
//        } catch (MalformedURLException e) {
//            try {
//                log.warning("couldn't parse a="+args+" into url");
//                return new File(args).toURL();
//            } catch (MalformedURLException e1) {
//                log.warning("couldn't parse a="+args+" into file, ignoring");
//                return null;
//            }
//        }
    }

}
