package uk.co.hcsoftware.commander;


/**
 * Title: NoPluginAvailableException
 * Copyright:    Copyright (c) 24-Nov-2005
 *
 * @author spurlinn
 */
public class NoPluginAvailableException extends Exception {
    private Url url;

    public NoPluginAvailableException(String message, Url url) {
        super(message);
        this.url = url;
    }

    public Url getUrl() {
        return url;
    }
}
