package uk.co.hcsoftware.commander.tree;

import java.util.List;
import java.util.Collections;


/**
 * Title: AbstractCtreeModel
 * Copyright:    Copyright (c) 22-Nov-2005
 *
 * @author spurlinn
 */
public class AbstractCtreeModel implements CtreeModel{
    public List getChildren(Object o) {
        return Collections.EMPTY_LIST;
    }

    public boolean hasChildren(Object o) {
        return false;
    }

    public Object getParent(Object o) {
        return null;
    }

    public int getAttributeCount() {
        return 0;
    }

    public String getAttributeName(int index) {
        return null;
    }

    public Object getAttributeValue(Object o, int attribute) {
        return null;
    }

    public boolean isComparable(int attribute) {
        return false;
    }

    public int compare(Object o, Object o1, int attribute) {
        return 0;
    }

    public SortDirection getDefaultSortDirection(int attribute) {
        return null;
    }

    public void addChangeListener(ChangeListener changeListener) {

    }

    public void removeChangeListener(ChangeListener changeListener) {

    }

}
