package uk.co.hcsoftware.commander.treeplugin;

import com.Ostermiller.util.Browser;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Logger;


/**
 * Title: FileLauncher
 * Copyright:    Copyright (c) 29-Nov-2005
 *
 * @author spurlinn
 */
public class FileLauncher {
    public static final Logger log = Logger.getLogger(FileLauncher.class.getName());

    private static boolean browserInited=false;
    public void launchFiles(List<File> l) throws IOException {
        //launch the vfile
        synchronized (Browser.class) {
            if(!browserInited){
                Browser.init();
                browserInited=true;
            }
        }
        List<String> strings = new ArrayList<String>(l.size());
        for(File f:l) strings.add(f.toURL().toString());
        log.fine("display urls="+strings);
        // Browser.displayURLs(strings.toArray(new String[strings.size()]));
        for(String ss:strings) Browser.displayURL(ss);

    }
}
