package uk.co.hcsoftware.commander;

import java.io.File;
import java.util.logging.Logger;


/**
 * here for legacy compatibility reasons
 */
public class Bookmark {
    private static final Logger log = Logger.getLogger(Bookmark.class.getName());

    public static class BookmarkBean{
        private String f1name;
        private String f2name;
        private String name;

        //implementation sideeffect  --do not call
        public BookmarkBean() {
        }

        public BookmarkBean(String fname, String f2name, String name) {
            this.f1name = fname;
            this.f2name = f2name;
            this.name = name;
        }

        public String getF1name() {
            return f1name;
        }

        public String getF2name() {
            return f2name;
        }

        public void setF2name(String f2name) {
            this.f2name = f2name;
        }

        public void setF1name(String f1name) {
            this.f1name = f1name;
        }
        public void setFname(String f1name) { //backwards compat
            setF1name(f1name);
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }
        public uk.co.hcsoftware.commander.bookmarks.Bookmark createBookmark(){
            return uk.co.hcsoftware.commander.bookmarks.Bookmark.createBookmark(getUrl(f1name),getUrl(f2name),name);
        }
        private Url getUrl(String s){
            if(s==null) return null;
            return Url.getUrl(new File(s));
//           try {
//                 Url.getUrl(new URL(s));
//            } catch (MalformedURLException e) {
//                log.log(Level.INFO,"couldn't convert url="+f1name+" to URL, assuming is filename");
//                final File file = new File(s);
//                try {
//                    return Url.getUrl(file.toURL());
//                } catch (MalformedURLException e1) {
//                    log.log(Level.INFO,"couldn't convert file="+file+" to URL, returning null");
//                    return null;
//                }
//            }
        }
    }
}
