package uk.co.hcsoftware.commander;


/**
 * Title: CannotOpenUrlException
 * Copyright:    Copyright (c) 23-Nov-2005
 *
 * @author spurlinn
 */
public class CannotOpenUrlException extends Exception {
    private Url url;

    public CannotOpenUrlException(Url url, String message, Throwable cause) {
        super(message, cause);
        this.url = url;
    }

    public CannotOpenUrlException(Url url, String message) {
        super(message);
        this.url = url;
    }

    public Url getUrl() {
        return url;
    }
}
