package uk.co.hcsoftware.commander.gui;


import uk.co.hcsoftware.commander.CancelledCallback;
import uk.co.hcsoftware.commander.Url;
import uk.co.hcsoftware.commander.CannotOpenUrlException;
import uk.co.hcsoftware.commander.treeplugin.TreePlugin;

/**
 * Title: HostFrame
 * Copyright:    Copyright (c) 22-Nov-2005
 *
 * @author spurlinn
 */
public interface HostFrame extends ProgressUpdater{
    boolean getFocus();

    void blockInput(String text,CancelledCallback cc);

    void blockInput(boolean block, String text);

    CancelledCallback getCancelledCallback();

    //Url getTargetUrl();
    TreePlugin getTargetTreePlugin();

    void setStatus(String text);

    String getStatus();

    void openUrl(Url url) throws CannotOpenUrlException;
}
