package uk.co.hcsoftware.commander.tree;

import java.awt.*;

/**
 * Title: CommanderCellRenderer
 * Copyright:    Copyright (c) 08-Nov-2005
 *
 * @author spurlinn
 */
public interface CommanderCellRenderer {
    Component getRendererComponent(
            CommanderTree ct
            , Object attributeValue
            , Object node
            , boolean isSelected
            , boolean hasFocus
            );
    /**
     * used to render 'special' values @see SpecialValues class
     * These might indicate (for example) that the current row is a non leaf (<DIR>) or is the 'current' node or the 'parent' node
     *
     * @param ct
     * @param value
     * @param node
     * @param isSelected
     * @param hasFocus
     * @return
     */
    Component getSpecialRendererComponent(
            CommanderTree ct
            , SpecialValues value
            , Object node
            , boolean isSelected
            , boolean hasFocus
            );
}
